Page MenuHomePhabricator

Create MOU and NDA for Andrea Forte
Closed, ResolvedPublic

Description

  • Determine if NDA is needed (yes)
  • Request MOU
  • Request NDA
    • Request full name, preferred email, and postal address from researchers.
    • Submit a request for MOUs to Legal.
  • [Legal] Process MOU
  • Update Collaborators page

Event Timeline

Capt_Swing triaged this task as Normal priority.Jul 11 2018, 11:17 PM
Capt_Swing renamed this task from Create MOU for Andrea Forte to Create MOU and NDA for Andrea Forte.Jul 12 2018, 12:24 AM
Capt_Swing updated the task description. (Show Details)
DarTar moved this task from Staged to In Progress on the Research board.Jul 28 2018, 2:24 AM
Capt_Swing updated the task description. (Show Details)Aug 9 2018, 9:45 PM
Capt_Swing moved this task from In Progress to Done (current quarter) on the Research board.
leila closed this task as Resolved.Feb 12 2019, 12:04 AM